<?php
header('Cache-Control: no-cache, must-revalidate');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');

session_start();
$_SESSION['langue_id']=1;
require __DIR__ . DIRECTORY_SEPARATOR . "..".DIRECTORY_SEPARATOR."..".DIRECTORY_SEPARATOR."config".DIRECTORY_SEPARATOR."bootstrap.php";
require __DIR__ . DIRECTORY_SEPARATOR.'config.php';

// decommenter la ligne en dessous si le connecteur n'est pas inclus via composer
// require __DIR__ . DIRECTORY_SEPARATOR.'autoload.php';

/**
 * auth
 */
$auth = new \Feedbii\Auth\TokenAuth();
$auth->auth($token);

/**
 * db instanciation
 */
$dbClassName = class_exists('Site_SQL') ? 'Site_SQL' : 'SiteSQL';
if (is_callable([$dbClassName,'getInstance'])){
    $db = $dbClassName::getInstance();
}else{
    $db = new $dbClassName;
}

/**
 *  routing
 */
$router = new \Feedbii\Router\Router($_SERVER['REQUEST_URI']);
$router->setPrefix('dashboard/:dateFrom/:dateTo');

//commande
$router->get('/commande',function($dateFrom,$dateTo) use ($db) {
    $order = new \Feedbii\DataCollector\Order($db);
    return $order
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getOrders();
});

//commande produits
$router->get('/commandeProduit',function($dateFrom,$dateTo) use ($db) {
    $order = new \Feedbii\DataCollector\Order($db);
    return $order
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getProducts();
});

//commande statut
$router->get('/commandeStatuts',function($dateFrom,$dateTo) use ($db) {
    $order = new \Feedbii\DataCollector\Order($db);
    return $order
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getStatus();
});

//client
$router->get('/client',function($dateFrom,$dateTo) use ($db) {
    $customer = new \Feedbii\DataCollector\Customer($db);
    return $customer
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getCustomer();
});


//produits
$router->get('/produits',function($dateFrom,$dateTo) use ($db) {
    $order = new \Feedbii\DataCollector\Catalog($db);
    return $order
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getProducts();
});

//marques
$router->get('/marques',function($dateFrom,$dateTo) use ($db) {
    $order = new \Feedbii\DataCollector\Catalog($db);
    return $order
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getMarques();
});

//categories
$router->get('/categories',function($dateFrom,$dateTo) use ($db) {
    $order = new \Feedbii\DataCollector\Catalog($db);
    return $order
        ->setDateFrom($dateFrom)
        ->setDateTo($dateTo)
        ->getCategories();
});


/**
 * export data
 */
try {
    $data = $router->run();
    $exporter = new \Feedbii\Exporter\JsonExporter($project);
    $exporter->setData($data)->export();
}catch (\Exception $e){
    echo $e->getMessage();
}